#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name: libkdegames
Summary: KDE - Games
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 1
Group: Graphical desktop/KDE
License: GPLv2 and LGPLv2 and GFDL
URL: http://games.kde.org/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/libkdegames-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: pkgconfig(openal)
BuildRequires: pkgconfig(sndfile)

%description
This packages provides common code and data for many KDE games.

#-------------------------------------------------------------------------------

%package common
Summary: Common files needed by KDE games
BuildArch: noarch
Obsoletes: kdegames4-core < 1:4.9.80
Conflicts: kdegames4-core < 1:4.9.80
Conflicts: bovo < 1:4.6.0

%description common
This package provides common files needed by KDE games such as carddecks for KDE
cardgames.

%files common
%_kde_appsdir/carddecks/
%_kde_appsdir/kconf_update/kgthemeprovider-migration.upd

#-------------------------------------------------------------------------------

%define libkdegames_major 6
%define libkdegames %mklibname kdegames %libkdegames_major

%package -n %libkdegames
Summary: Runtime Library for kdegames
Group: System/Libraries

%description -n %libkdegames
Runtime Library for kdegames

%files -n %libkdegames
%_kde_libdir/libkdegames.so.%{libkdegames_major}*

#-------------------------------------------------------------------------------

%define libkdegamesprivate_major 1
%define libkdegamesprivate %mklibname kdegamesprivate 1

%package -n %libkdegamesprivate
Summary: Runtime Library for kdegames
Group: System/Libraries

%description -n %libkdegamesprivate
Runtime Library for kdegames

%files -n %libkdegamesprivate
%_kde_libdir/libkdegamesprivate.so.%{libkdegamesprivate_major}*

#-------------------------------------------------------------------------------

%define libkdegames_devel %mklibname kdegames -d

%package -n %libkdegames_devel
Summary: Headers files for libkdegames
Group: Development/KDE and Qt
Requires: kdelibs4-devel >= 2:%version
Conflicts: kdegames4-devel < 1:4.9.80
Obsoletes: kdegames4-devel < 1:4.9.80
Provides: kdegames-devel = %epoch:%version
Provides: libkdegames-devel = %epoch:%version
Requires: %libkdegames = %epoch:%version
Requires: %libkdegamesprivate = %epoch:%version

%description -n %libkdegames_devel
Headers files needed to build applications based on kdegames applications.

%files -n %libkdegames_devel
%_kde_libdir/cmake/KDEGames/*.cmake
%_kde_libdir/libkdegamesprivate.so
%_kde_libdir/libkdegames.so
%_kde_includedir/*

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog
* Sat Jul 06 2013 mikala <mikala> 1:4.10.5-1.1.mga3
+ Revision: 450691
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407223
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401936
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394394
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 357591
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 1:4.9.97-1.mga3
+ Revision: 339971
- libkdegames-devel: obsoletes kdegames4-devel < 4.9.80

  + mikala <mikala>
    - Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334555
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326757
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319272
- imported package libkdegames

